+++
date = "2017-12-21"
weight = 100

title = "17.12 TestReports 20171220"

aliases = [
    "/17.12/testreports/release.md",
    "/old-wiki/17.12/TestReports/Release",
    "/old-wiki/17.12/TestReports/20171220"
]
+++

Testing results considerations:

1.  Manual test cases were executed on target ARM, target AMD64 and SDK
    AMD64 images when applicable.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: target ARM, target AMD64,
    development AMD64, and SDK AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Minimal ARM64
    (20171220)](https://images.apertis.org/daily/17.12/17.12.rc2/arm64/minimal/apertis_17.12-minimal-arm64-uboot_17.12.rc2.img.gz)
  - [Minimal AMD64
    (20171220)](https://images.apertis.org/daily/17.12/17.12.rc2/amd64/minimal/apertis_17.12-minimal-amd64-uefi_17.12.rc2.img.gz)
  - [Target AMD64
    (20171220)](https://images.apertis.org/daily/17.12/17.12.rc2/amd64/target/apertis_17.12-target-amd64-uefi_17.12.rc2.img.gz)
  - [Development AMD64
    (20171220)](https://images.apertis.org/daily/17.12/17.12.rc2/amd64/development/apertis_17.12-development-amd64-uefi_17.12.rc2.img.gz)
  - [SDK AMD64
    (20171220)](https://images.apertis.org/daily/17.12/17.12.rc2/amd64/sdk/apertis_17.12-sdk-amd64-sdk_17.12.rc2.vdi.gz)

<table>
<thead>
<tr class="header">
<th><p>ID</p></th>
<th><p>Description</p></th>
<th><p>Type</p></th>
<th><p>Minimal ARM</p></th>
<th><p>Minimal ARM64</p></th>
<th><p>Minimal AMD64</p></th>
<th><p>Target ARM</p></th>
<th><p>Target AMD64</p></th>
<th><p>Development ARM</p></th>
<th><p>Development AMD64</p></th>
<th><p>SDK AMD64</p></th>
<th><p>Tested By</p></th>
<th><p>Notes</p></th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td><p><strong>Sanity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sanity-check">sanity-check</a></p></td>
<td><p>Check that the Apertis system basically works. (manual)</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sanity-check">sanity-check</a></p></td>
<td><p>Check that the Apertis system basically works. (automated)</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">1</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025211">2</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">3</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">4</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">5</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">6</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025215">7</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025215">8</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">9</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">10</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">11</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">12</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">13</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">14</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">15</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">16</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Booting</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-bootable">image-bootable</a></p></td>
<td><p>Test whether the image is bootable.</p></td>
<td><p>Not Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/image-gui-start">image-gui-start</a></p></td>
<td><p>Test whether the image starts a graphical environment.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>HW Acceleration</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/x-hw-accelerated">x-hw-accelerated</a></p></td>
<td><p>Test whether the correct GLES2 render is used.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>GStreamer</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer1.0-decode">gstreamer1.0-decode</a></p></td>
<td><p>Test video and audio decoders and demuxers on a list of media.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">17</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">18</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">19</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">20</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">21</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Multitouch</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-mt-touch-events">webkit2gtk-mt-touch-events</a></p></td>
<td><p>Test implementation of W3C touch events API in WebKit2GTK.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>WebKit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-actor-tiles">webkit2gtk-actor-tiles</a></p></td>
<td><p>Test implementation of actor-based tiled backing store in webkit2GTK.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-event-handling-redesign">webkit2gtk-event-handling-redesign</a></p></td>
<td><p>Test WebKit2Gtk ability to scroll by touch with inertial behaviour after the touch ended.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Webkit2GTK-AC</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-3d-rendering">webkit2gtk-ac-3d-rendering</a></p></td>
<td><p>Test that 3D transforms are applied correctly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-animations">webkit2gtk-ac-animations</a></p></td>
<td><p>Test that Webkit2GTK actors created for representing layers animate properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-ac-scrolling">webkit2gtk-ac-scrolling</a></p></td>
<td><p>Test that actors created for representing layers scroll properly.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Gettext</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gettext-i18n">gettext-i18n</a></p></td>
<td><p>Check that gettext internationalization works.</p></td>
<td><p>Integrated</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">22</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">23</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">24</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">25</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">26</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">27</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">28</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">29</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Meta Data Management</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gupnp-services">gupnp-services</a></p></td>
<td><p>Run a few tests related to service browsing, introspection, etc.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">30</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">31</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">32</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">33</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">34</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">35</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">36</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">37</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/librest-unit">librest-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">38</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">39</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">40</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">41</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">42</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/libsoup-unit">libsoup-unit</a></p></td>
<td><p>Run the unit tests that ship with the library against the running system.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">43</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">44</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">45</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">46</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">47</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-local-storage">tracker-indexing-local-storage</a></p></td>
<td><p>Check tracker indexing of local storage and journal behaviour.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">48</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">49</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">50</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">51</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">52</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tracker-indexing-mass-storage">tracker-indexing-mass-storage</a></p></td>
<td><p>Check tracker indexes mass storage devices on insertion.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/tumbler-thumbnailing">tumbler-thumbnailing</a></p></td>
<td><p>Check that all thumbnailing features of tumbler are working properly (large, small, videos, documents, images).</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">53</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">54</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">55</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">56</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">57</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Grilo</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/grilo">grilo</a></p></td>
<td><p>Check grilo metadata notifications, and filesystem browsing.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">58</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">59</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">60</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">61</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">62</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">63</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">64</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">65</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>DBus</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://git.apertis.org/cgit/apertis-tests.git/tree/dbus/check-dbus-services.yaml">check-dbus-services</a></p></td>
<td><p>Check that all activatable D-Bus services use systemd, and that they can be started.</p></td>
<td><p>Integrated</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">66</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">67</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">68</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">69</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">70</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">71</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">72</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">73</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/dbus-dos-reply-time">dbus-dos-reply-time</a></p></td>
<td><p>Check the reply time of a few D-Bus method calls while dbus-daemon is loaded by D-Bus traffic.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">74</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">75</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">76</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">77</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">78</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Library modules</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">canterbury</a></p></td>
<td><p>Run the automated test for the library: canterbury</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">79</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">80</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">didcot</a></p></td>
<td><p>Run the automated test for the library: didcot</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">81</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">82</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">frome</a></p></td>
<td><p>Run the automated test for the library: frome</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">newport</a></p></td>
<td><p>Run the automated test for the library: newport</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">83</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">84</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">ribchester</a></p></td>
<td><p>Run the automated test for the library: ribchester</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">85</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">86</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">rhosydd</a></p></td>
<td><p>Run the automated test for the library: rhosydd</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">87</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">88</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/library-modules">traprain</a></p></td>
<td><p>Run the automated test for the library: traprain</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025215">89</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025229">90</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Networking</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-avrcp-volume">bluez-avrcp-volume</a></p></td>
<td><p>Test the AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-phone">bluez-phone</a></p></td>
<td><p>Test all BlueZ features needing interaction with a phone (Pairing, OBEX, PBAP, AVRCP, A2DP, HSP, HFP, PAN).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-setup">bluez-setup</a></p></td>
<td><p>Test setup of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman">connman</a></p></td>
<td><p>Runs some automated tests using the ConnMan D-Bus API. It guarantees most of the basic features are working.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">91</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">92</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">93</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">94</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">95</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">96</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">97</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">98</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-new-supplicant">connman-new-supplicant</a></p></td>
<td><p>Test the wpa_supplicant interface.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">99</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">100</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">101</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">102</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">103</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-pan-tethering">connman-pan-tethering</a></p></td>
<td><p>Test ConnMan support for PAN connectivity.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-pan-network-access">connman-pan-network-access</a></p></td>
<td><p>Test ConnMan support for bluetooth PAN Network Access Profile.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-services">connman-services</a></p></td>
<td><p>Tests ConnMan services.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/connman-usb-tethering">connman-usb-tethering</a></p></td>
<td><p>Test ConnMan support for USB tethering (connection side).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-receive">ofono-sms-receive</a></p></td>
<td><p>Test receiving SMS messages with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/ofono-sms-send">ofono-sms-send</a></p></td>
<td><p>Test sending of SMS with oFono.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Folks</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-alias-persistence">folks-alias-persistence</a></p></td>
<td><p>Ensures user-set contact aliases persist.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">104</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">105</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">106</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-eds-compatibility">folks-eds-compatibility</a></p></td>
<td><p>Checks that contacts created within Evolution Data Server (as will happen when phone contacts get synchronized to an Apertis machine) show up in other contact-based programs.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">107</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">108</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">109</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-linking">folks-metacontacts-linking</a></p></td>
<td><p>Ensures linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">110</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">111</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">112</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-unlinking">folks-metacontacts-unlinking</a></p></td>
<td><p>Ensures unlinking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">113</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">114</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">115</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-telepathy-retrieve-contacts">folks-telepathy-retrieve-contacts</a></p></td>
<td><p>Ensures that Folks can correctly retrieve Telepathy contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">116</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">117</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">118</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK Development</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-ide-build-run-program">sdk-ide-build-run-program</a></p></td>
<td><p>Creates a simple test project and confirms that compiling and executing work.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Apparmor Basic</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-basic-profiles">apparmor-basic-profiles</a></p></td>
<td><p>Test basic apparmor profiles. Only parsing and syntax of profiles are tested for now.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">119</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">120</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">121</a></p></td>
</tr>
<tr class="even">
<td><p><strong>CGroups</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/cgroups-resource-control">cgroups-resource-control</a></p></td>
<td><p>Run cgroup resource control tests</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025213">122</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">123</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">124</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">125</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">126</a></p></td>
</tr>
<tr class="even">
<td><p><strong>SDK</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-gprof-smoke-test">sdk-performance-tools-gprof-smoke-test</a></p></td>
<td><p>Checks basic gprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">127</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-performance-tools-sysprof-smoke-test">sdk-performance-tools-sysprof-smoke-test</a></p></td>
<td><p>Checks basic sysprof functionality by ensuring a CPU-intensive program shows up in its log as consuming the vast majority of the CPU cycles.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">128</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-gdb-smoke-test">sdk-debug-tools-gdb-smoke-test</a></p></td>
<td><p>Checks basic gdb functionality by stopping a program at a set point and checking its backtrace matches expectations.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">129</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-strace-smoke-test">sdk-debug-tools-strace-smoke-test</a></p></td>
<td><p>Checks basic strace functionality by checking its output when run on a simple command line program.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">130</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-debug-tools-valgrind-smoke-test">sdk-debug-tools-valgrind-smoke-test</a></p></td>
<td><p>Checks basic valgrind functionality by running a program with and without memory leaks, ensuring expected results from valgrind.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">131</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-bustle-smoke-test">sdk-dbus-tools-bustle-smoke-test</a></p></td>
<td><p>Test that bustle-dbus-monitor shows services on the session bus.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-dbus-tools-d-feet-smoke-test">sdk-dbus-tools-d-feet-smoke-test</a></p></td>
<td><p>Test that D-Feet both shows services on the session bus and that new services appear automatically.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-gcov-smoke-test">sdk-code-analysis-tools-gcov-smoke-test</a></p></td>
<td><p>Checks basic gcov functionality by running a sample program a few different ways and ensuring that a sufficient portion of its code paths are executed</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">132</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-code-analysis-tools-splint-smoke-test">sdk-code-analysis-tools-splint-smoke-test</a></p></td>
<td><p>Checks basic splint functionality by checking its output when run on a simple source file.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">133</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sdk-vb-fullscreen">sdk-vb-fullscreen</a></p></td>
<td><p>Tests that the SDK VM can be fullscreened in VirtualBox</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Eclipse</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins">eclipse-sysroot-management</a></p></td>
<td><p>Test sysroot management and update within Eclipse. It will go through configuring an existing sysroot in Eclipse, and then updating it from the web with the latest version.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-install-to-target">eclipse-install-to-target</a></p></td>
<td><p>Test copying files to the remote device from within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/eclipse-plugins-remote-debugging">eclipse-remote-debugging</a></p></td>
<td><p>Test remote debugging within Eclipse. It will create a dummy project and then create a configuration to copy the binary file to a remote device and debug it remotely using Eclipse.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/evolution-sync-bluetooth">evolution-sync-bluetooth</a></p></td>
<td><p>Synchronizing Bluetooth-paired phone contacts to Evolution.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-metacontacts-antilinking">folks-metacontacts-antilinking</a></p></td>
<td><p>Ensures anti-linking meta-contacts works properly.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">134</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">135</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">136</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Connectivity</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/bluez-hfp">bluez-hfp</a></p></td>
<td><p>Test Hands Free Profile (HFP) BlueZ feature.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/rfkill-toggle">rfkill-toggle</a></p></td>
<td><p>Test that rfkill is functional.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring">telepathy-ring</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy manually, with a bluetooth-paired phone.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/telepathy-ring-automated">telepathy-ring-automated</a></p></td>
<td><p>Support making and receiving phone calls in Telepathy.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">137</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Contacts</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-ofono-backend">folks-ofono-backend</a></p></td>
<td><p>Reading contacts from 3G modem SIM card.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-search-contacts">folks-search-contacts</a></p></td>
<td><p>Ensures that Folks can correctly search contacts.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">138</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">139</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">140</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/abstract-contact-addressbook-creation">abstract-contact-addressbook-creation</a></p></td>
<td><p>A way to be able to create abstract addressbook is needed in SyncEvolution, so that separate addressbooks can be created for each paired device.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">141</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">142</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">143</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/folks-sync-only">folks-sync-only</a></p></td>
<td><p>Test SYNCHRONIZE_ONLY flag for persona stores in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025224">144</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/storage-of-arbitrary-data-in-contacts">storage-arbitrary-data-contacts</a></p></td>
<td><p>Support for storing arbitrary data in contacts in Folks.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025214">145</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025228">146</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025322">147</a></p></td>
</tr>
<tr class="odd">
<td><p><strong>Multimedia</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-gstreamer1.0">webkit2gtk-gstreamer1.0</a></p></td>
<td><p>Tests html5 video playback with GStreamer 1.0 in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-basic">traffic-control-basic</a></p></td>
<td><p>Test basic traffic control support. This test does not use tcmmd but it could catch missing support in the kernel or misbehaving traffic control.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcmmd">traffic-control-tcmmd</a></p></td>
<td><p>Test traffic control support with tcmmd and wget.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/traffic-control-tcdemo">traffic-control-tcdemo</a></p></td>
<td><p>Test traffic control demo with tcmmd and tcdemo.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/gstreamer-splash">gstreamer-splash</a></p></td>
<td><p>Test whether the gstreamer splash plugin is working.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/video-animation-on-boot">video-animation-on-boot</a></p></td>
<td><p>Test whether Plymouth is able to display a graphical theme.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>FAILED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><strong>Robustness</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/glib-gio-fs">glib-gio-fs</a></p></td>
<td><p>Run the GLib gio tests that do I/O on the local filesystem.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">148</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">149</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">150</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">151</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">152</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">153</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">154</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">155</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/sqlite-veryquick">sqlite-veryquick</a></p></td>
<td><p>Run the "veryquick" tests shipped with SQLite.</p></td>
<td><p>Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><strong>Security</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor">apparmor</a></p></td>
<td><p>Functional testing for AppArmor functionalities.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PARTIAL</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">156</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">157</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">158</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-chaiwala-system">apparmor-chaiwala-system</a></p></td>
<td><p>Test that AppArmor's system wide rules works according to Apertis security goals.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">159</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">160</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">161</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-functional-demo">apparmor-functional-demo</a></p></td>
<td><p>Show some main AppArmor functionalities, like transitions, net access or resource permissions, under the form of tests.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">162</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">163</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">164</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-utils">apparmor-utils</a></p></td>
<td><p>Test apparmor_parser and other tools in apparmor package can be executed.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">165</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">166</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">167</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-session-lockdown-no-deny">apparmor-session-lockdown-no-deny</a></p></td>
<td><p>Test that the session lockdown profile is not blocking more than it should</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>NOT TESTED</p></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-gstreamer1.0">apparmor-gstreamer1.0</a></p></td>
<td><p>Test that AppArmor profiles provided in GStreamer 1.0 works without Auditd complaining</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">168</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">169</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">170</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-pulseaudio">apparmor-pulseaudio</a></p></td>
<td><p>Test that AppArmor profiles provided in PulseAudio 2.1 work without Auditd complaining.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">171</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">172</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">173</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-automated">apparmor-bluez-automated</a></p></td>
<td><p>Test AppArmor profile for support for SPP profile (bluez-spp) and core functionalities (bluez-core).</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-avrcp-volume">apparmor-bluez-avrcp-volume</a></p></td>
<td><p>Test AppArmor profile for Bluez AVRCP volume up and down commands.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-bluez-setup">apparmor-bluez-setup</a></p></td>
<td><p>Test AppArmor profiles for setting up of Bluetooth stack by running basic tests using hciconfig. Check if the interface can be brought up/down, can be changed of mode and can discover devices.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-folks">apparmor-folks</a></p></td>
<td><p>Test that AppArmor profiles provided in Folks package work without unexpected auditd log entries.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">174</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">175</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">176</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-geoclue">apparmor-geoclue</a></p></td>
<td><p>Test that geoclue apparmor profiles are working properly</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">177</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">178</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">179</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-ofono">apparmor-ofono</a></p></td>
<td><p>Test that AppArmor profiles provided in ofono package work without unexpected auditd log entries.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tracker">apparmor-tracker</a></p></td>
<td><p>Tests that the tracker abstraction and tracker profiles don't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>FAILED</p></td>
<td><p>PARTIAL</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PARTIAL</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">180</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">181</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">182</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-tumbler">apparmor-tumbler</a></p></td>
<td><p>Tests that the tumbler profile doesn't cause false negatives and that it does not allow arbitrary reading of files in the home directory.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">183</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">184</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">185</a></p></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-basic">iptables-basic</a></p></td>
<td><p>Test the firewall automatically.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">186</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">187</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">188</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">189</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">190</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">191</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">192</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">193</a></p></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/iptables-nmap">iptables-nmap</a></p></td>
<td><p>Test the firewall using nmap from another computer.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/apparmor-dbus">apparmor-dbus</a></p></td>
<td><p>Functional testing for AppArmor D-Bus mediation.</p></td>
<td><p>Integrated</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>NOT TESTED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025212">194</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025226">195</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025220">196</a></p></td>
</tr>
<tr class="even">
<td><p><strong>System Update</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/last-resort-message">last-resort-message</a></p></td>
<td><p>Test whether U-Boot last resort image is displayed on boot failure</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance">boot-performance</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/boot-performance-automated">boot-performance-automated</a></p></td>
<td><p>Test boot performance.</p></td>
<td><p>Integrated</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>andrewsh</p></td>
<td><p><a href="https://lava.collabora.co.uk/scheduler/job/1025211">197</a> <a href="https://lava.collabora.co.uk/scheduler/job/1023807">198</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025218">199</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025213">200</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025291">201</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025217">202</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025210">203</a> <a href="https://lava.collabora.co.uk/scheduler/job/1025221">204</a></p></td>
</tr>
<tr class="even">
<td><p><strong>Webkit</strong></p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-aligned-scroll">webkit2gtk-aligned-scroll</a></p></td>
<td><p>Test that scrolling is pinned in a given direction when started mostly towards it.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-lazy-click">webkit2gtk-lazy-click</a></p></td>
<td><p>Test touch adjustment (lazy click) support in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-drag-and-drop">webkit2gtk-drag-and-drop</a></p></td>
<td><p>Test HTML5 drag-and-drop support in WebKit2GTK</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>N/A</p></td>
<td><p>PASSED</p></td>
<td><p>PASSED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="even">
<td><p><a href="https://wiki.apertis.org/QA/Test%20Cases/webkit2gtk-contextual-zoom">webkit2gtk-contextual-zoom</a></p></td>
<td><p>This test case is about zooming parts of a web page to make it easier to read on devices with limited screen area. The scope of the test is the zooming functionality that takes into account the content in the clicked area, other functionality that belongs to a real browser isn't to be tested here.</p></td>
<td><p>Not Integrated</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>N/A</p></td>
<td><p>FAILED</p></td>
<td><p>FAILED</p></td>
<td><p>Sagar</p></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>PASSED - All tests passed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>PARTIAL - Tests mostly passed, with some minor problems.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td><p>FAILED - One or more tests failed.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="even">
<td></td>
<td><p>NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware.</p></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
<tr class="odd">
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
<td></td>
</tr>
</tbody>
</table>

[Category:QA/Test_report]( {{< ref "/category_qa/test_report.md" >}} )
[Category:QA/Test_report/{{\#rel2abs:
../../.}}]()