+++
date = "2016-12-19"
weight = 100

title = "Guidelines Design process"

aliases = [
    "/old-wiki/Guidelines/Design_process"
]
+++

  - The design documents live in the
    [apertis-designs](https://git.apertis.org/cgit/apertis-designs.git)
    git repository.
  - They are written in [hotdoc](https://github.com/hotdoc)
  - …and published on <https://docs.apertis.org/>
  - …with the long term aim of being moved to designs.apertis.org

When writing a design document:

1.  [Clone](https://git-scm.com/docs/git-clone) the
    [apertis-designs](https://git.apertis.org/cgit/apertis-designs.git)
    git repository.
2.  [Work in a branch](https://git-scm.com/docs/git-branch) on your new
    document (or if you're updating an existing document).
3.  Create a file for the document in the /docs directory.
      - If you are updating an existing document, update its version
        number and edit it in place (don't create a new copy of it)
4.  The document is reviewed in Phabricator following a similar process
    to code review
5.  Once you’ve incorporated review comments and the changes have been
    approved by the reviewer, merge the branch to master