+++
date = "2018-12-19"
weight = 100

title = "QA Test Cases ade-commands"

aliases = [
    "/qa/test_cases/ade-command.md",
    "/old-wiki/QA/Test_Cases/ade-command",
    "/old-wiki/QA/Test_Cases/ade-commands"
]
+++

{{ TestCase | id = ade-command | type = Functional | priority = Critical
| execution_type = Automated | lava = Integrated | image = Any | target
= Any | state = Final | description = Test ade command and sub-command
with default and custom options and arguments | resources = |
preconditions =

  - Network connectivity on the DUT as these tests fetch sysroot images
    over the network

| execution =

1.  Clone the `apertis-tests` repository:
        $ git clone https://git.apertis.org/git/apertis-tests.git
2.  Change directory to `apertis-tests` folder
        $ cd apertis-tests
3.  Run the `ade-tests-custom.sh` and `ade-tests-defaults.sh` script
    from the `ade/` directory
        user@apertis $ ./ade/ade-tests-custom.sh

| results =

  - The automated test should succeed:

<!-- end list -->

    >>> Test setup successfully!
    >>> ==== Testing ade usage with custom parameters
    >>> "TEST_RESULT:pass:ade-tests-custom:"

| postconditions = | notes =

  - Lots of ade messages will be logged on the standard output. Upon
    test fail, the script will abort with

<!-- end list -->

    "TEST_RESULT:fail:ade-tests-custom:"

}}