+++
date = "2018-07-05"
weight = 100

title = "QA Test Cases apparmor-chaiwala-system"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-chaiwala-system"
]
+++

{{ TestCase | id = apparmor-chaiwala-system | type = Functional |
priority = High | execution_type = Automated | lava = Integrated |
image = Target | target = Any | description = Test that AppArmor's
system wide rules works according to Apertis security goals (Chaiwala
was an older codename for Apertis). | execution =

1.  Run the test script:
      -

            $ $HOME/apparmor-chaiwala-system-master/run-test.sh

| preconditions =  | results =

  - The `run-test.sh` script should return 0. The return value indicates
    the number of tests which failed.

A similar output will be shown:

` Files retained in: /tmp/apparmor-chaiwala-system-gKUGXfrDVm-hFuzCE`
` /home/user/apparmor-chaiwala-system-master/goals/exec.sh: PASSED - /tmp/apparmor-chaiwala-system-gKUGXfrDVm-hFuzCE`
` Files retained in: /tmp/apparmor-chaiwala-system-ThPLvpkUnz-UZABGW`
` /home/user/apparmor-chaiwala-system-master/goals/home.sh: PASSED - /tmp/apparmor-chaiwala-system-ThPLvpkUnz-UZABGW`

| notes =

  - This tests only check that system wide rules (not components ones)
    are correctly implemented.

}}