+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases apparmor-ofono"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-ofono"
]
+++

{{ TestCase | id = apparmor-ofono | type = Functional | priority =
Medium | execution_type = Automated | state = Final | image = Target |
target = Any | description = Test that AppArmor profiles provided in
ofono package work without unexpected auditd log entries. | resources =
A 3G modem connected | preconditions = {{ EnablePackageRepositories
|development|target}} {{ InstallDependencies
|apertis-tests-apparmor-ofono apertis-tests}} | execution =

1.  Run the test script:
      -

            sudo /usr/lib/apertis-tests/apparmor/ofono/test-ofonod

| results =

1.  A list of executed test with related result (as pass/fail/skip) will
    be shown on console, similar to the following:
      -

            ofonod-normal.expected: pass

| notes = ofonod-malicous test might (and will, so far) segfault. This
is normal and does not preclude the test, which shall pass anyway. If
the 3G modem is not connected, the TC might pass (any of the tests in
it), but it would be a meaningless test. Be sure that a 3G modem is
connected for a meaningful test. }}