+++
date = "2018-11-23"
weight = 100

title = "QA Test Cases apparmor-tumbler"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-tumbler"
]
+++

{{ TestCase | id = apparmor-tumbler | type = Functional | priority =
Medium | execution_type = Automated | target = Any | image = Any |
state = Final | lava = Integrated | description=Tests that the tumbler
AppArmor profile doesn't cause false negatives and that it does not
allow arbitrary reading of files in the home directory. | preconditions
=  | execution =

1.  Execute the test suite:
      -

            $ $HOME/apparmor-tumbler-master/run-test.sh

| results =

  - Both tests should report `pass` and not `fail`:

` tumbler.normal.expected: pass`
` tumbler.malicious.expected: pass`

| notes =

  - The results of the tests printed to the standard output are enough
    to determine whether they passed or fail.
  - If you get a failure and need to report a bug please check
    journalctl, run the case again, and add the logs you get to the bug
    report.

}}