+++
date = "2014-12-09"
weight = 100

title = "QA Test Cases bluez-spp"

aliases = [
    "/old-wiki/QA/Test_Cases/bluez-spp"
]
+++

{{ TestCase | id = bluez-spp | type = Functional | execution_type =
Automated | lava = Integrated | target = Any | description=Test support
for SPP profile. | resources=

  - Two Bluetooth adapters.

| preconditions = **Note:** Ensure that the system has two Bluetooth
adapters connected.

| execution =

1.  Execute the test suite:
      -

            sudo /usr/lib/chaiwala-tests/bluez/spp-test.sh

| results =

  - If it succeeds, the output should be equal to the following one:

<!-- end list -->

    Test 1: No encryption ... PASSED
    Test 2: Encryption ... PASSED
    Test 3: Secure ... PASSED

  - Otherwise, an error will be displayed:

<!-- end list -->

    Test 1: No encryption ... FAILED
    Files rc.in and rc.out differ
    Test 2: Encryption ... PASSED
    Test 3: Secure ... PASSED

}}