+++
date = "2018-10-17"
weight = 100

title = "QA Test Cases cgroups-resource-control"

aliases = [
    "/old-wiki/QA/Test_Cases/cgroups-resource-control"
]
+++

{{ TestCase | id = cgroups-resource-control | type = Functional |
priority = Medium | execution_type = Automated | lava = Integrated |
target = Any | description=Run cgroup resource control tests |
preconditions = If running inside VirtualBox, **disable the host I/O
cache** under "storage" in the image settings. Not doing so can cause
the `test_blkio_*` tests to fail {{ DownloadTestData |
cgroups-resource-control.tar.gz |
<https://gitlab.apertis.org/tests/cgroups-resource-control/-/archive/master/cgroups-resource-control.tar.gz>
| cgroups-resource-control-master-\* }} | execution =

1.  Execute the test suite:
      -

            cd cgroups-resource-control-master-* ; ./cgroups-resource-control.sh

| results =

  - The output should be similar to that:

<!-- end list -->

```
  >>> Test setup successfully!
  >>> Running test 'test_cpu_shares' ... PASS
  >>> Running test 'test_memory_limits' ... PASS
  >>> Running test 'test_memory_threshold_notification' ... PASS
  >>> Running test 'test_blkio_weights_random_read' ... PASS
  >>> Running test 'test_blkio_weights_sequential_read' ... PASS
  >>> Running test 'test_network_cgroup_priority_classification' ... PASS
  >>> All tests PASSED successfully!
```

  - If any test failed, they will be listed instead of the success
    message:

<!-- end list -->

```
 >>> The following tests FAILED:
 [list of tests]
```

}}