+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases clutter-mt-touch-events"

aliases = [
    "/old-wiki/QA/Test_Cases/clutter-mt-touch-events"
]
+++

{{ TestCase | id = clutter-mt-touch-events | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test multi-touch support in Clutter. | resources=

  - A touch-screen with multiple touch points.

| preconditions = {{ EnablePackageRepositories |development}} {{
InstallDependencies |clutter-1.0-tests }} | execution =

1.  Execute the test application:
      -

            DISPLAY=:0 /usr/lib/clutter-1.0/installed-tests/clutter/test-interactive test-touch-events
2.  A window titled "Touch events" should open.

| results =

  - Dragging one finger inside the white area within that window should
    leave a path of a single color.
  - Dragging two fingers inside the white area within that window should
    leave two paths, each of a single color.
  - Tapping on one of the rectangles in the left bar should change its
    color.
  - Simultaneously tapping on two of the rectangles in the left bar
    should change their colors.

}}