+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases connman"

aliases = [
    "/old-wiki/QA/Test_Cases/connman"
]
+++

{{ TestCase | id = connman | type = Functional | priority = Critical |
execution_type = Automated | lava = Integrated | target = Any |
description=Runs some automated tests using the ConnMan D-Bus API. It
guarantees most of the basic features are working.
Network connection management: ensuring that ConnMan's APIs are
accessible is part of strategic network management functionality |
preconditions = {{ ConnmanPersistenceWarning }}  | execution =

1.  Run the test suite:
      -

            $ cd $HOME/connman-master; bin/connman-test.sh

| results =

  - An example output is:

<!-- end list -->

    user@apertis:~/connman-master$ bin/connman-test.sh
    test_manager
    test_offlinemode
    test_technologies
    test_technology_enable /net/connman/technology/ethernet
    test_technology_tethering /net/connman/technology/ethernet
    test_ethernet
    test_service_properties /net/connman/service/ethernet_525400f47dad_cable
    test_clock
    PASSED

FAILED is displayed in case of failure. }}