+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases gstreamer1.0-decode"

aliases = [
    "/old-wiki/QA/Test_Cases/gstreamer1.0-decode",
    "/old-wiki/QA/Test_Cases/gstreamer1-0-decode",
    "/qa/test_cases/gstreamer1-0-decode.md"
]
+++

{{ TestCase | id = gstreamer1.0-decode | type = Functional | priority =
High | execution_type = Automated | lava = Integrated | state = Final |
target = Any | description=Test video and audio decoders and demuxers on
a list of media.
Audio/video decoding through GStreamer is important but not required by
any of the currently strategic functionalities. | preconditions =  |
execution =

1.  Run the test:
      -

            cd $HOME/gstreamer-decode/; bin/gstreamer1.0-decode.sh chaiwala-test-media
2.  Non-zero exit status means an encoder or demuxer has failed the
    test.

| results = The script will output a result for each media file it tries
to decode. If it succeeds, `PASSED` will be displayed. If not, `FAILED`
will be displayed.

Note: If lava-test-shell test fails within lava job. It means e.g. a job
has timed out. }}
