+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases image-gui-start"

aliases = [
    "/old-wiki/QA/Test_Cases/image-gui-start"
]
+++

{{ TestCase | id = image-gui-start | type = Functional | priority =
Critical | execution_type = Manual | target = Any | image = Any |
description= Test whether the image starts a graphical environment.
Basic functionality: ensuring that the GUI boots up. | preconditions =

  - For SDK image:

{{ InstallSDK }}

  - For Target/Development images:

<!-- end list -->

1.  Download latest target/development image released from
    <https://images.apertis.org/>.
2.  Write image to a SD card
    ([Instructions]( {{< ref "/system_image_setup.md#target-and-development-images" >}} ))

| execution =

1.  Boot image in target device or in the VM for the SDK image.

| results = The image correctly starts the respective graphical
interface. At the moment of writing this test case:

  - For SDK image:
      - A XFCE environment comes up.
  - For Target/Development images:
      - Image comes up with the Apertis HMI.

}}