+++
date = "2018-08-22"
weight = 100

title = "QA Test Cases iptables-basic"

aliases = [
    "/qa/test_cases/firewall.md",
    "/old-wiki/QA/Test_Cases/firewall",
    "/old-wiki/QA/Test_Cases/iptables-basic"
]
+++

{{ TestCase | id = iptables-basic | type = Functional | priority =
Critical | execution_type = Automated | lava = Integrated | image = Any
| target = Any | state = Final | description = Network connection
management: ensuring that iptables is available and usable is part of
strategic networking management functionality. | resources = |
preconditions =  | execution =

1.  Run the automated test:
      -

            $ $HOME/iptables-basic-master/run-test.sh

| results =

  - The automated test should succeed:

<!-- end list -->

    >>> Test setup successfully!
    >>> Running test 'test_iptables_module' ... PASS
    >>> Running test 'test_iptables_service' ... PASS
    >>> Running test 'test_iptables_list' ... PASS
    >>> All tests PASSED successfully!

| postconditions = | notes =

  - This test does not use nmap. Testing with nmap is done in another
    test.

}}