+++
date = "2017-12-01"
weight = 100

title = "QA Test Cases Roller tests"

aliases = [
    "/qa/test_cases/roler_tests.md",
    "/old-wiki/QA/Test_Cases/Roler_tests",
    "/old-wiki/QA/Test_Cases/Roller_tests"
]
+++

{{ TestCase | id = Roller tests | type = Usability | execution_type =
Manual | lava = N/A | image = Target | target = Any | state = deprecated
| description = Usability test for Roller basic kinetic scrolling. |
execution =

1.  Run Start_simulator.sh
      -

            ./Start_simulator.sh
2.  or run Launcher
      -

            ./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher
3.  To Launch Eye
      -

            cd /usr/Applications/org.apertis.Eye

            ./bin/executable_name app-name org.apertis.Eye
4.  To Launch Frampton
      -

            cd /usr/Applications/org.apertis.Frmaton

            ./bin/ executable_name app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ” (refer application’s .desktop file)

| preconditions =

1.  Install packages mildenhall-launcher, Eye, Frampton
      -

            sudo apt-get install mildenhall-launcher Eye Frampton

| results =

  - Basic Kinetic scrolling

` 1) Vertical kinetic scrolling (deceleration) (can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)(can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) video elements should keep playing during scrolling (can be tested in Eye)`

  - Overshoot effect

` 1) Elastic effect when items are less (can be tested in mildenhall-launcher, Eye, Frampton)`

  - Global scroll bar

` N/A`

  - Blur effect

` N/A`

  - Stopping and re-accelerating

` 1) scrolling should only start after the pointer has moved a configurable (at runtime) threshold, otherwise is considered a click (can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) tap-and-hold should stop the scrolling animation (can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) a flick gesture should re-accelerate (can be tested in mildenhall-launcher, Eye, Frampton)`
` 4) the scroll animation shouldn't visibly stop when re-accelerating (can be tested in mildenhall-launcher, Eye, Frampton)`

}}