+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-ac-animations"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-ac-animations"
]
+++

{{ TestCase | id = webkit-ac-animations | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test that Clutter actors created for representing layers
animate properly. | resources=

  - A monitor connected to the testing target.

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |webkit-clutter-test-data}} | execution =

1.  Run the following command:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher -b \
            :     file:///usr/share/webkit_clutter-0/testing/LayoutTests/animations/simultaneous-start-transform.html
2.  Verify animation match the reference rendering bellow.
3.  Either close MxLauncher and run the following command, or just
    copy/paste the URI into the existing window:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher -b \
            :     file:///usr/share/webkit_clutter-0/testing/LayoutTests/animations//missing-keyframe-properties.html
4.  Verify animation match the reference rendering bellow.

| results =

  - In the first URI, the two squares will rotate for 10 seconds. While
    rotating, they should have a blue border, which indicates they are
    AC layers. The expected rendering can be seen in the following
    video:
    [AC-Animation](https://secure-automotive-cloud.org/static/AC-animation.ogv)
  - Note that the test logs results to the HTML page as it runs; the
    contents of that log are **not** to be taken into account for the
    purpose of this test. A FAIL there does not mean this test case
    failed.
  - The second URI will again show two blue squares; Both will move to
    the right and animate their opacity at the same time, so will go
    from blue to white and back. They should have borders while
    animating. The expected rendering can be seen in the following
    video:
    [AC-Animation-KeyFrame-Opacity](https://secure-automotive-cloud.org/static/AC-animation-keyframe-opacity.ogv)

}}