+++
date = "2016-07-07"
weight = 100

title = "QA Test Cases webkit-clutter-javascriptcore"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-clutter-javascriptcore"
]
+++

{{ TestCase | id = webkit-clutter-javascriptcore | type = Reliability |
execution_type = Automated | lava = Integrated | image = Any | target =
Any | description = JavaScriptCore tests are implementation of the
Mozilla JavaScript Test Suite. This test suite covers the functionality
of the core JavaScript engine. This includes several JavaScript objects
such as Arrays, Booleans, Dates, Functions, Global Object, Math,
Numbers, Objects, Regular Expressions and Strings. In addition the
JavaScript tests cover parsing, lexical conventions, expressions,
statements, type conversion, and exception handling. | resources = |
preconditions = {{ Enable package repositories |development|target}} {{
Install dependencies |webkit-clutter-testing webkit-clutter-test-data}}
| execution =

\# Run the following command.

\#:

    TZ=PST+8PDT /usr/share/webkit_clutter-0/testing/Tools/Scripts/run-javascriptcore-tests --clutter --out-of-tree --no-build --root=/usr/lib/webkit-clutter-0/libexec --jsDriver-args='-v'

| results =

  - The script will show a summary of the run at the end. It should look
    similar to this:

<!-- end list -->

    0 regressions found.
    0 tests fixed.
    OK.

  - If the number of regressions found is not 0, then the test failed.
    The number of tests fixed is not important for our purposes.

| postconditions = | notes =

  - For LAVA's benefit the script will show a result (passed or failed)
    for each tests while running this test. After all tests are
    completed, a final report will be created to show more detailed
    failures at /tmp/actual.html. Example output:

`"/usr/lib/webkit-clutter-0/libexec/jsc"  -s  -f ./ecma/shell.js -f ./ecma/Array/15.4-1.js -> passed`
`"/usr/lib/webkit-clutter-0/libexec/jsc"  -s  -f ./ecma/shell.js -f ./ecma/Array/15.4-2.js -> passed `

}}