+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-lazy-click"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-lazy-click"
]
+++

{{ TestCase | id = webkit-lazy-click | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test touch adjustment (lazy click) support in WebKit-Clutter
| resources=

  - A touch-screen.
  - A mouse.

| preconditions = {{ EnablePackageRepositories|development|target}} {{
InstallDependencies|webkit-clutter-test-data}} | execution =

1.  Run the test program:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher file:///usr/share/webkit_clutter-0/testing/lazyclick.html

| results = **NOTE**: touching the very border of the red area may cause
red to be printed and that is **not** a bug. The area used by WebKit to
search for related is round and centered on the touched point, so it's
hard to reproduce perfectly as a border.

  - Clicking with a mouse inside the green "Link" area should activate
    the link
  - Clicking with a mouse the red border outside the green "Link" area
    should **not** activate the link
  - Clicking with a mouse inside the blue "Button" area should activate
    the button
  - Clicking with a mouse the red border outside the blue "Button" area
    should **not** activate the button
  - Tapping with a single finger on the touch-screen inside the green
    "Link" area should activate the link
  - Tapping with a single finger on the touch-screen the red border
    outside the green "Link" area should activate the link too
  - Tapping with a single finger on the touch-screen inside the blue
    "Button" area should activate the button
  - Tapping with a single finger on the touch-screen the red border
    outside the blue "Button" area should activate the button too

}}