+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases webkit2gtk-ac-scrolling"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit2gtk-ac-scrolling"
]
+++

{{ TestCase | id = webkit2gtk-ac-scrolling | type = Functional |
priority = Medium | execution_type = Manual | target = Any |
description=Test that actors created for representing layers scroll
properly. | resources=

  - A monitor connected to the testing target.
  - A mouse or touchscreen

| preconditions = {{ InstallDependencies |1 = -o
DPkg::options::="--force-unsafe-io" webkit2gtk-testing}} | execution =

1.  Run GtkClutterLauncher telling it to use 400x400 and loading the
    test page:
      -

            env CLUTTER_PAINT=paint-volumes GtkClutterLauncher \
            :    -g 400x400 file:///usr/share/webkit2gtk/testing/LayoutTests/compositing/scroll-painted-composited-content.html
2.  Scroll the page to the left until you can see the GraphicsLayerActor
    border, verify that it scrolls along with the text above it.

| results =

  - After the test page is loaded, the border of the GraphicsLayerActor
    must scroll in sync with the rest of the content as shown in the
    following video:
    [AC-scrolling.ogv](https://secure-automotive-cloud.org/static/AC-scrolling.ogv)
  - This test will be considered a PASS if it works with at least one of
    mouse or touchpad because this is not a test for the mouse or
    touchpad working.

}}