+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases x-hw-accelerated"

aliases = [
    "/old-wiki/QA/Test_Cases/x-hw-accelerated"
]
+++

{{ TestCase | id = x-hw-accelerated | type = Functional | priority =
Medium | execution_type = Manual | target = sdk | description=Test
whether the correct GLES2 render is used | preconditions =

1.  Boot the system.

{{ EnablePackageRepositories |development}} {{ InstallDependencies
|mesa-utils-extra}} | execution =

1.  Run test application:
      -

            es2_info

| results =

  - For the SDK image the output should include:

<!-- end list -->

    GL_VERSION: OpenGL ES 3.0 Mesa 10.1.0
    GL_RENDERER: Gallium 0.4 on llvmpipe (LLVM 3.4, 128 bits)

| notes = This will only test whether the correct renderer is used,
actual functionality is tested by clutter related tests. }}