+++
date = "2016-10-28"
weight = 100

title = "Talk:QA Test Cases Roller Scrolling"

aliases = [
    "/old-wiki/Talk:QA/Test_Cases/Roller_Scrolling"
]
+++

{{ TestCase | id = sdk-roller-scrolling-performance | type = Usability |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = Final | description = Usability test for Roller basic kinetic
scrolling. | execution =

1.  Run Start_simulator.sh
      -

            ./Start_simulator.sh
2.  or run Launcher
      -

            ./bin/mildenhall_launcher app-name org.apertis.Mildenhall.Launcher

scroll left roller and right roller observe for basic Kinetic scrolling

1.  To Launch Eye
      -

            cd /usr/Applications/org.apertis.Eye

            ./bin/eye app-name org.apertis.Eye

In thumb view scroll thumb roller up and down

observe for basic Kinetic scrolling observe for Overshoot effect observe
for Stopping and re-accelerating

Selecting any video item switch to Thumb view/detial view scroll roller
up and down

observe for video elements should keep playing during scrolling observe
for Overshoot effect

1.  To Launch Frampton
      -

            cd /usr/Applications/org.apertis.Frampton

            ./bin/frampton app-name org.apertis.Frampton menu-entry “A R T I S T” url “ ” (refer application’s .desktop file)

In thumb view, Before thumbs gets loaded, scroll the roller observe
that, scrolling of the roller items should not load the thumbnails.After
Scroll stopped thumbnails should be resume loading thumbnails in the
visible area.

| preconditions =

1.  Install packages mildenhall-launcher, Eye, Frampton
      -

            sudo apt-get install mildenhall-launcher Eye Frampton

Expected result | results =

  - Basic Kinetic scrolling

` 1) Vertical kinetic scrolling (deceleration)(can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) Responsible at any time (e.g. during scroll, during lock-in effect, etc)(can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) video elements should keep playing during scrolling (can be tested in Eye)`
` 4) scrolling of the roller items should not load the thumbnails.After Scroll stopped thumbnails should be resume loading thumbnails in the visible area.(can be tested in Frampton)`

  - Overshoot effect

` 1) Elastic effect when items are less (can be tested in mildenhall-launcher, Eye, Frampton)`

  - Global scroll bar

` N/A`

  - Blur effect

` N/A`

  - Stopping and re-accelerating

` 1) scrolling should only start after the pointer has moved a configurable (at runtime) threshold, otherwise is considered a click (can be tested in mildenhall-launcher, Eye, Frampton)`
` 2) tap-and-hold should stop the scrolling animation (can be tested in mildenhall-launcher, Eye, Frampton)`
` 3) a flick gesture should re-accelerate (can be tested in mildenhall-launcher, Eye, Frampton)`
` 4) the scroll animation shouldn't visibly stop when re-accelerating (can be tested in mildenhall-launcher, Eye, Frampton)`

}}