+++
date = "2018-09-13"
weight = 100

title = "QA Test Cases apparmor-bluez-automated"

aliases = [
    "/old-wiki/QA/Test_Cases/apparmor-bluez-automated"
]
+++

{{ TestCase | id = apparmor-bluez-automated | type = Functional |
priority = High | execution_type = Automated | target = Any | state =
Final | image = Target | description=Test AppArmor profile for support
for SPP profile (bluez-spp) and core functionalities (bluez-core). |
resources=

  - Two Bluetooth adapters.

| preconditions =

1.  Ensure that the system has two Bluetooth adapters connected.

{{ EnableBluetooth }}  | execution =

1.  Run the automated test:
      -

            $ cd $HOME/apparmor-bluez-master; ./test-bluez

| results =

1.  The following test results, which will appear in different places
    throughout the log:
      -

            R1.13a.1_bluez-spp.expected_underlying_tests: pass

            R1.13a.1_bluez-spp.expected: pass

            R1.13a.1_bluez-core.expected_underlying_tests: pass

            R1.13a.1_bluez-core.expected: pass

| notes =

  - This TC is based on other Bluez automated test cases, all of them
    should PASS in order to execute them against AppArmor.
  - If a subtest for this TC FAILs, check that the related test is
    PASSING.
  - It is worth to investigate AppArmor-side only if the original TC
    PASSes and the profiled version of it FAILs.
  - Any other scenario is either OK or worth waiting the original TC to
    PASS.

}}