+++
date = "2016-03-10"
weight = 100

title = "QA Test Cases btrfs-snapshot-management"

aliases = [
    "/old-wiki/QA/Test_Cases/btrfs-snapshot-management"
]
+++

{{ TestCase | id = btrfs-snapshot-management | type = Functional |
execution_type = Automated | lava = Integrated | target = Any | image =
Any | state = Deprecated | description=Test subvolume management using
Btrfs for system upgrades | preconditions= {{
EnablePackageRepositories|development|target}} {{
InstallDependencies|chaiwala-btrfs-tests chaiwala-tests}} | execution =

1.  Execute test script:
      -

            sudo /usr/share/chaiwala-tests/btrfs/automated/run-test.sh

| results =

  - The test should look like this:

`>>> Test setup successfully!`
`>>> Running test 'check_pristine_fs' ... PASS`
`>>> Running test 'test_set_default_subvolume' ... PASS`
`>>> Running test 'test_initial_upgrade' ... PASS`
`>>> Running test 'test_second_upgrade' ... PASS`
`>>> All tests PASSED successfully!`

}}