+++
date = "2017-10-30"
weight = 100

title = "QA Test Cases dlt-daemon"

aliases = [
    "/old-wiki/QA/Test_Cases/dlt-daemon"
]
+++

{{ TestCase | id = dlt-daemon | type = Functional | execution_type =
Manual | target = SDK | description = Test diagnostic trace and debug
service and viewer | resources = | preconditions =

1.  Install packages dependencies:
      -

            sudo apt install dlt-daemon dlt-viewer

#### DLT system service

DLT system service must be running:

  -

        sudo systemctl start dlt-system.service

| execution =

1.  Ensure the DLT system service is running using:
      -

            systemctl status dlt-system.service

        and check for

            Active: active (running)
2.  Run the DLT viewer from the Applications → Development menu in the
    SDK
3.  Add an ECU by selecting "ECU Add" from the "Config" menu
4.  Accept the defaults and press OK
5.  Right-click on the newly added ECU and select "ECU Connect" to
    connect to it
6.  Execute:
      -

            echo 'hello' | systemd-cat

| results =

  - Message should appear (along with a lot of others already) in the
    DLT viewer, like this:

![Image:Dlt-viewer-test.png](/images/image_dlt-viewer-test.png) |
notes = The service used is `dlt-system.service` and not `dlt.service`.
}}