+++
date = "2018-11-01"
weight = 100

title = "QA Test Cases glib-gio-fs"

aliases = [
    "/old-wiki/QA/Test_Cases/glib-gio-fs"
]
+++

{{ TestCase | id = glib-gio-fs | type = Functional | priority = Medium |
execution_type = Automated | lava = Integrated | target = Any | state =
Final | description=Run the GLib gio tests that do I/O on the local
filesystem | preconditions =  | execution =

1.  Execute the test suite:
      -

            $ $HOME/glib-gio-fs-master/run-test.sh

| results =

  - The output should be similar to that:

<!-- end list -->

    >>> # Test setup successfully!
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/async-close-output-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/async-close-output-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/buffered-input-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/buffered-input-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/buffered-output-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/buffered-output-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/converter-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/converter-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/data-input-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/data-input-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/data-output-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/data-output-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/file' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/file: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/fileattributematcher' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/fileattributematcher: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/filter-streams' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/filter-streams: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/g-file' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/g-file: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/g-file-info' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/g-file-info: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/io-stream' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/io-stream: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/live-g-file' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/live-g-file: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/pollable' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/pollable: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/readwrite' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/readwrite: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/unix-streams' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/unix-streams: pass
    >>> # Running test '/home/user/glib-gio-fs-master/amd64/bin/vfs' ...
    >>> /home/user/glib-gio-fs-master/amd64/bin/vfs: pass
    >>> # All tests PASSED successfully!

  - If any test failed, they will be listed instead of the success
    message:

<!-- end list -->

```
 >>> The following tests FAILED:
 [list of tests]
```

}}