+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases image-bootable"

aliases = [
    "/old-wiki/QA/Test_Cases/image-bootable"
]
+++

{{ TestCase | id = image-bootable | type = Functional | priority =
Critical | execution_type = Manual | target = Any | image = Any |
description= Test whether the image is bootable.
Basic functionality: booting up. | preconditions =

  - For SDK image:

{{ InstallSDK }}

  - For Target/Development images:

<!-- end list -->

1.  Download latest target/development image released from
    <https://images.apertis.org/>.
2.  Write image to a SD card
    ([Instructions]( {{< ref "/system_image_setup.md#target-and-development-images" >}} ))

| execution =

1.  Boot image in target device or in the VM for the SDK image.

| results =

  - Image boots either to a terminal or graphical environment.

}}