+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases mxkineticscrollview-smooth-pan"

aliases = [
    "/old-wiki/QA/Test_Cases/mxkineticscrollview-smooth-pan"
]
+++

{{ TestCase | id = mxkineticscrollview-smooth-pan | type = Usability |
execution_type = Manual | lava = Not Integrated | image = Any | target
= Any | state = deprecated | description = Some low-resolution touch
screens send touch events in widely separate time intervals, which
causes MxKineticScrollView widget to jump from one position to the next
one without any visible transition. This test case implements a long
list to scroll through to make sure there are no visible "jumps" when
scrolling.

Contrast this with
[mxkineticscrollview-kinetic-scroll]( {{< ref "/qa/test_cases/mxkineticscrollview-kinetic-scroll.md" >}} ),
which tests whether kinetic scrolling works when releasing your finger
from the touch screen. | resources =

  - Touch screen

| preconditions =

1.  Install libmx-2.0-0-tests package
      -

            sudo apt-get install libmx-2.0-0-tests

| execution =

1.  Run MxKineticScrollView test program
      -

            /usr/lib/*/mx-2.0/tests/test-kinetic-scroll-view
2.  Scroll through the view by using touch screen

| results = While scrolling as fast as possible through the list in the
test application window, there should be no visible jumps from one
position to the other. All scrolling should be noticeable by the user,
even if moving from the very top of the list to the bottom of it.
Example video can be found at
[Test-Kinetic-Scroll-View](https://secure-automotive-cloud.org/static/Test-kinetic-scroll-view.ogv)
| postconditions = | notes = }}