+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases sdk-dbus-tools-d-feet-smoke-test"

aliases = [
    "/old-wiki/QA/Test_Cases/sdk-dbus-tools-d-feet-smoke-test"
]
+++

{{ TestCase | id = sdk-dbus-tools-d-feet-smoke-test | type = Performance
| priority = Medium | execution_type = Manual | target = VirtualBox |
image = SDK | description=Test that D-Feet both shows services on the
session bus and that new services appear automatically. | preconditions
= {{ InstallSDK }}  | execution =

1.  Run D-Feet via **Applications Menu \> Development \> D-Feet**
2.  View the session bus with **File \> Connect to Session Bus**
3.  Set the Filter field to "evolution" (without quotes)
4.  Open a terminal window and run the folks-inspect command

| results =

  - The D-Feet window should now show a few services in its filtered
    view, including "org.gnome.evolution.dataserver.AddressBook4" for
    the process "evolution-addressbook-factory"

}}