+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases sdk-debug-tools-valgrind-smoke-test"

aliases = [
    "/old-wiki/QA/Test_Cases/sdk-debug-tools-valgrind-smoke-test"
]
+++

{{ TestCase | id = sdk-debug-tools-valgrind-smoke-test | type =
Functional | priority = Medium | execution_type = Automated | lava =
Integrated | target = VirtualBox | image = SDK | state = Final |
description=Checks basic valgrind functionality by running a program
with and without memory leaks, ensuring expected results from valgrind.
| preconditions = {{ InstallSDK }} {{ InstallDependencies
|chaiwala-tests }} | execution =

1.  Execute the test suite:
      -

            /usr/share/chaiwala-tests/sdk/automated/test-valgrind.sh

| results = The test script will output a line with the test ID and the
status of the test (PASSED or FAILED). An example output is:

    sdk-debug-tools-valgrind: PASSED

}}