+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases sdk-ide-build-run-program"

aliases = [
    "/old-wiki/QA/Test_Cases/sdk-ide-build-run-program"
]
+++

{{ TestCase | id = sdk-ide-build-run-program | type = Functional |
priority = Medium | execution_type = Manual | target = VirtualBox |
image = SDK | description= Creates a simple test project and confirms
that compiling and executing work. | preconditions = {{ InstallSDK }} |
execution =

1.  Open Eclipse.
2.  If prompted to choose a workspace, click <b>OK</b>.
3.  Click <b>File \> New \> Project</b>
4.  Select <b>C Project</b> under <b>C/C++</b>
5.  Name the project "Hello World" and, under <b>Executable</b>, click
    <b>Hello World ANSI C Project</b> and choose the <b>Linux GCC</b>
    toolchain.
6.  Note the simple Hello World code in the main portion of the window.
7.  Click <b>Project \> Build All</b>
8.  Click <b>Run \> Run</b>
9.  If prompted with "Errors exist in a required project. Continue
    launch?", click <b>Yes</b>.

| results =

  - The Console tab at the bottom should show the output of the program
    ("\!\!\!Hello World\!\!\!").

}}