+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases sdk-performance-tools-sysprof-smoke-test"

aliases = [
    "/qa/test_cases/sdk-performance-tools-sysprof.md",
    "/old-wiki/QA/Test_Cases/sdk-performance-tools-sysprof",
    "/old-wiki/QA/Test_Cases/sdk-performance-tools-sysprof-smoke-test"
]
+++

{{ TestCase | id = sdk-performance-tools-sysprof-smoke-test | type =
Functional | priority = Medium | execution_type = Automatic | lava =
Integrated | target = Any | image = SDK | state = Final | description=
Checks basic sysprof functionality by ensuring a CPU-intensive program
shows up in its log as consuming the vast majority of the CPU cycles. |
preconditions = {{ InstallSDK }} {{ InstallDependencies|chaiwala-tests
}} | execution =

1.  Execute the test suite, as root:
      -

            sudo /usr/share/chaiwala-tests/sdk/automated/test-sysprof.sh

| results = The test script will output a line with the test ID and the
status of the test (PASSED or FAILED), with some additional information.
An example output is:

    sdk-performance-tools-sysprof-smoke-test: PASSED
    Program ran in 99% of samples (>= 95% required)

}}