+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases telepathy-ring-automated"

aliases = [
    "/old-wiki/QA/Test_Cases/telepathy-ring-automated"
]
+++

{{ TestCase | id = telepathy-ring-automated | type = Functional |
priority = Medium | execution_type = Automated | lava = Integrated |
image = SDK | target = Any | state = Final | description = Support
making and receiving phone calls in Telepathy.
This test is different from the manual one in that it tests with a phone
simulator, for being able to stress test the functionality
automatically. It uses a remote phone simulator instance when it is
available, otherwise, it will automatically run a local phonesim
instance and use that for the test instead. | resources = |
preconditions = {{ EnablePackageRepositories |development|sdk}} {{
InstallDependencies |ofono-tests telepathy-mission-control-5
telepathy-ring telepathy-phoenix chaiwala-tests ofono-phonesim}} |
execution =

1.  Execute the test script:
      -

            /usr/lib/apertis-tests/sdk/telepathy-ring-automated.sh

| results =

  - The output should be similar to this:

<!-- end list -->

    telepathy-ring-automated: PASSED

| postconditions = | notes = }}