+++
date = "2018-06-25"
weight = 100

title = "QA Test Cases telepathy-ring"

aliases = [
    "/old-wiki/QA/Test_Cases/telepathy-ring"
]
+++

{{ TestCase | id = telepathy-ring | type = Functional | priority =
Medium | execution_type = Manual | lava = Not Integrated | image = Any
| target = Any | state = Final | description = Support making and
receiving phone calls in Telepathy manually, with a bluetooth-paired
phone. | resources =

  - A Bluetooth adapter
  - A Bluetooth-enabled phone

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |ofono-tests telepathy-ring chaiwala-tests
gir1.2-telepathyglib-0.12 telepathy-mission-control-5}}  | execution =

1.  Pair phone:
      -
        First scan for devices:
            hcitool scan
2.  Determine what the ID for your phone is:
      -

            /usr/share/ofono/tests/list-modems

        This will show a list of modems, from which you can get the ID
        of your phone (which starts with a '/'), to be used in the next
        2 commands
3.  Power up modem:
      -

            /usr/share/ofono/tests/enable-modem $your_phone_id

            /usr/share/ofono/tests/online-modem $your_phone_id
4.  Add a telepathy-ring account:
      -

            mc-tool add ring/tel tp-ring-test

        And enable it:

            mc-tool enable ring/tel/account0
5.  Test making a call:
      -

            /usr/lib/chaiwala-tests/telepathy/telepathy-ring call $number_to_call
6.  Remove temporary account:
      -

            mc-tool remove ring/tel/account0

| results =

  - ```
    telepathy-ring: PASSED
    ```

| postconditions = | notes = }}