+++
date = "2018-05-14"
weight = 100

title = "QA Test Cases traffic-control-tcmmd"

aliases = [
    "/old-wiki/QA/Test_Cases/traffic-control-tcmmd"
]
+++

{{ TestCase | id = traffic-control-tcmmd | type = Functional |
execution_type = Manual | lava = N/A | image = Any | target = Any |
state = deprecated | description = Test traffic control support with
tcmmd and wget. | resources = A web server with a large file to download
(e.g.
[big_buck_bunny_480p_stereo.ogg](http://blender-mirror.kino3d.org/peach/bigbuckbunny_movies/big_buck_bunny_480p_stereo.ogg)).
| preconditions = {{ EnablePackageRepositories |target|development}} {{
InstallDependencies |wget chaiwala-tests}}

1.  Check what is your main network interface (eth0, ens32, wlan0...).
      -

            $ ifconfig

        You will need it for the environment variable $NET_INTERFACE
2.  Know the IP address of your web server and the URL to download a
    large file.
      -
        You will need it for the environment variable $SERVER_IP and
        $URL

| execution =

1.  As normal user, run:
      -

            $ NET_INTERFACE=eth0 SERVER_IP=172.22.64.100 URL=http://172.22.64.100/big_buck_bunny_480p_stereo.ogg \
            :   /usr/share/chaiwala-tests/traffic-control/manual/run-tcmmd-test.sh

        Replace the environment variables NET_INTERFACE, SERVER_IP and
        URL with the values found in the pre-conditions.
2.  Look at the download speeds and check if they are as specified

| results =

1.  There should be no error
2.  All download speed should be as specified

<!-- end list -->

    >>> Test results
    TC rule checking the tuple (ipsrc, ipdst, tcpsport, tcpdport): PASS
    TC rule checking only tcpsport: PASS
    TC rule with a wrong ipsrc: PASS
    TC rule with a wrong ipdst: PASS
    TC rule with a wrong tcpsport: PASS
    TC rule with a wrong tcpdport: PASS
    check if decent speed is restored after the main tests: PASS

| postconditions = | notes = }}