+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-actor-tiles"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-actor-tiles"
]
+++

{{ TestCase | id = webkit-actor-tiles | type = Functional | state =
deprecated | execution_type = Manual | target = Target or Development |
description=Test implementation of actor-based tiled backing store in
webkit-clutter. | resources=

  - Mouse or touchscreen

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |webkit-clutter-test-data}} | execution =

1.  Launch the test application with each URL in resources with and
    without CLUTTER_PAINT=paint-volumes:
      -

            env CLUTTER_PAINT=paint-volumes /usr/lib/webkit-clutter-0/libexec/MxLauncher \
            :  file:///usr/share/webkit_clutter-0/testing/actor-tiles-test.html
2.  Follow the steps described on the page. They are also listed here
    for reference:
3.  Check that the rendering of the page matches the reference in the
    results section
4.  Click the link that will scroll the page a bit
5.  Check that the rendering of the page matches the reference in the
    results section
6.  Click the link that will scroll to the very bottom
7.  Check that the rendering of the page matches the reference in the
    results section
8.  Click the first link that will take you to a different page
9.  Check that the rendering of the page matches the reference in the
    results section
10. Click the back button of the browser
11. Check that the rendering of the page matches the reference in the
    results section
12. Click the second link, that will send you to the bottom
13. Follow the links again until you get to the end of the page again,
    always making sure the rendering matches the reference rendering

| results =

  - The page will look like this after the first load:

![<File:Actor-tiles-01.png>](/images/actor-tiles-01.png)

  - After clicking the first link the page will look like this:

![<File:Actor-tiles-02.png>](/images/actor-tiles-02.png)

  - After clicking the second link the page will look like this:

![<File:Actor-tiles-03.png>](/images/actor-tiles-03.png)

  - The new page that will be loaded looks like this:

![<File:Actor-tiles-04.png>](/images/actor-tiles-04.png)

  - Going back should give you the same rendering you had before
    clicking the link to the new page, except the link will be colored
    purple

![<File:Actor-tiles-05.png>](/images/actor-tiles-05.png)

  - After clicking the link that will take you to the beginning of the
    page and repeating the process, the renderings should be the same as
    the ones above
  - *Note* that when a page starts loading some of the tiles may contain
    a checker board; that is normal, but we plan to improve on it.

}}