+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-aligned-scroll"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-aligned-scroll"
]
+++

{{ TestCase | id = webkit-aligned-scroll | type = Functional |
execution_type = Manual | state = deprecated | image = Target | target
= Any | description=Test that scrolling is pinned in a given direction
when started mostly towards it | resources=

  - A touch-screen and/or a mouse (test with both ideally).

| preconditions = {{ EnablePackageRepositories |target|development}} {{
InstallDependencies |webkit-clutter-testing}} | execution =

1.  Run the test program:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher -g 400x600 http://gnome.org/
2.  Try scrolling by starting a drag diagonally (1)
3.  Try scrolling by starting a drag vertically (2)
4.  Try scrolling by starting a drag horizontally, ensure you can only
    pan the page horizontally (3)

| results =

  - When the scroll is started by a diagonal drag (1), you should be
    able to pan the page freely
  - When the scroll is started by a vertical drag (2), you should only
    be able to pan the page vertically, regardless of if you move your
    finger/mouse horizontally
  - When the scroll is started by a horizontal drag (3), you should only
    be able to pan the page horizontally, regardless of if you move your
    finger/mouse vertically

Check the following example video for the expected result:
[Aligned-Scroll](https://secure-automotive-cloud.org/static/Aligned-scroll.ogv)
}}