+++
date = "2017-10-23"
weight = 100

title = "QA Test Cases webkit-mt-touch-events"

aliases = [
    "/old-wiki/QA/Test_Cases/webkit-mt-touch-events"
]
+++

{{ TestCase | id = webkit-mt-touch-events | type = Functional |
execution_type = Manual | target = Any | state = deprecated |
description=Test implementation of W3C touch events API in
webkit-clutters. | resources=

  - A touch-screen with multiple touch points.
  - webkit-clutter-test-data package.

| preconditions = {{ EnablePackageRepositories |development|target}} {{
InstallDependencies |webkit-clutter-test-data}} | execution =

1.  Launch the test application with one of the URL in resources:
      -

            /usr/lib/webkit-clutter-0/libexec/MxLauncher file:///usr/share/webkit_clutter-0/testing/touchevents.html

| results =

  - Check that when sliding more than one finger within the canvas,
    lines of different colors are drawn in the "Touch canvas", each
    finger with its own.
  - Check that when pressing and dragging using the mouse, a line is
    drawn in the "Mouse canvas".

}}