+++
date = "2016-10-20"
weight = 100

title = "QA Test Cases x-out-of-screen-events-buttond"

aliases = [
    "/old-wiki/QA/Test_Cases/x-out-of-screen-events-buttond"
]
+++

{{ TestCase | id = x-out-of-screen-events-buttond | type = Functional |
execution_type = Automated | lava = Integrated | image = SDK | target =
Any | state = Deprecated | description = We require a mechanism to
support hardware layouts where the touch area of the touchscreen is
larger than the screen area, with the touchable-but-not-screen regions
reserved for specific functions.
<https://en.wikipedia.org/wiki/File:2005-04-16_Psion_Serie_5mx_PRO_24MB_beschn_unscharf_scharf.JPG>
is an example of a similar setup in non-automotive hardware: the
greenish area is a LCD touchscreen, but its touchable area extends into
the light grey left and bottom borders, with predefined functions
corresponding to what is printed there. Under X11, this mechanism is
buttond; this test verifies that buttond generates correct keystrokes in
response to simulated touch screen input. | resources = | preconditions
= An X server can be found with DISPLAY=:0 {{ EnablePackageRepositories
|development|target}} {{ InstallDependencies |chaiwala-tests tcl
xinput}} | execution =

1.  Run the test script for the normal case:
      -

            sudo /usr/lib/chaiwala-tests/x-out-of-screen-events/buttond_tester.sh

| results =

    x-out-of-screen-events-buttond: PASSED

| postconditions = | notes = }}