+++
date = "2019-08-22"
weight = 100

title = "V2019.0 Release schedule"

aliases = [
    "/old-wiki/V2019.0/Release_schedule"
]
+++

The v2019.0 release cycle started in July 2019.

| Milestone                                                                                                | Date              |
| -------------------------------------------------------------------------------------------------------- | ----------------- |
| Start of release cycle                                                                                   | 2019-07-01        |
| Soft feature freeze: end of feature proposal and review period                                           | 2019-08-15        |
| Soft code freeze/hard feature freeze: end of feature development for this release, only bugfixes allowed | 2019-08-21        |
| Release candidate 1 (RC1)/hard code freeze: no new code changes may be made after this date              | 2019-08-28 EOD    |
| RC testing                                                                                               | 2019-08-29..09-11 |
| v2019.0 release                                                                                          | 2019-09-12        |

If the release candidate 1 does not successfully pass all required
tests, then the issues will be fixed and a new release candidate will be
re-tested. This would delay the release, which would be reflected on
this page.

## See also

  - [Roadmap]( {{< ref "/roadmap.md" >}} )
  - Previous [release schedules]( {{< ref "/release_schedule.md" >}} ) and more
    information about the timeline